# Command: CGParseFile

NEST HelpDesk | Command Index | NEST Quick Reference

Name:

    CGParseFile - Call ConnectionGenerator::fromXMLFile() and return a
      ConnectionGenerator

Synopsis:

      xml_filename CGParseFile -> cg

Description:

      Return a ConnectionGenerator created by deserializing the given
      XML file. The library to parse the XML file can be selected using
      CGSelectImplementation

Parameters:

      xml_filename	- The XML file to read.

Author:

    Jochen Martin Eppler

FirstVersion:

    February 2014

SeeAlso:

- CGParse
- CGConnect
- CGSelectImplementation
- cgstart
- cgsetmask
- cgnext

Source:

    /opt/conda/conda-bld/nest_1512420111240/work/nest-2.12.0/conngen/conngenmodule.cpp

NEST HelpDesk | Command Index | NEST Quick Reference

© 2004 The NEST Initiative